Create a Playbook - Cognigy Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

POST

/ v2.0 / playbooks

Try it

Create a Playbook

cURL

curl --request POST \
  --url https://api-trial.cognigy.ai/new/v2.0/playbooks \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '\n{\n  "name": "New Playbook",\n  "projectId": "66e06026706e6e0016a30e12",\n  "abortOnError": true,\n  "timeout": 3000\n}\n'\n```

#### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/playbooks"

payload = {  
    "name": "New Playbook",  
    "projectId": "66e06026706e6e0016a30e12",  
    "abortOnError": True,  
    "timeout": 3000
}
headers = {  
    "X-API-Key": "<api-key>",  
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: 'New Playbook',
    projectId: '66e06026706e6e0016a30e12',
    abortOnError: true,
    timeout: 3000
  })
};

fetch('https://api-trial.cognigy.ai/new/v2.0/playbooks', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/playbooks",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_POSTFIELDS => json_encode([\
    'name' => 'New Playbook',\
    'projectId' => '66e06026706e6e0016a30e12',\
    'abortOnError' => true,\
    'timeout' => 3000\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Content-Type: application/json",\
    "X-API-Key: <api-key>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/playbooks"

payload := strings.NewReader("{\n  \"name\": \"New Playbook\",\n  \"projectId\": \"66e06026706e6e0016a30e12\",\n  \"abortOnError\": true,\n  \"timeout\": 3000\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("X-API-Key", "<api-key>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Response Codes

Example Response

{
  "name": "New Playbook",
  "abortOnError": true,
  "timeout": 2000,
  "_id": "<string>",
  "createdAt": 1694518620,
  "lastChanged": 1694518620,
  "createdBy": "<string>",
  "lastChangedBy": "<string>",
  "steps": [\
    {\
      "text": "hello world!",\
      "data": {},\
      "_id": "<string>",\
      "asserts": [\
        {\
          "params": {},\
          "_id": "<string>"\
        }\
      ]\
    }\
  ]
}

Authorizations

Headers

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Body

The request body should be in JSON format, specifying details such as the name, projectId, abortOnError, and timeout.